petsc-3.4.2 2013-07-02

# PetscViewerDrawGetBounds

gets the upper and lower bounds to be used in plotting set with PetscViewerDrawSetBounds()

### Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscViewerDrawGetBounds(PetscViewer viewer,PetscInt *nbounds,const PetscReal **bounds)

Collective on PetscViewer

### Input Parameter

viewer -the PetscViewer (created with PetscViewerDrawOpen())

### Output Paramters

| nbounds | - number of plots that can be made with this viewer, for example the dof passed to DMDACreate()
| bounds | - the actual bounds, the size of this is 2*nbounds, the values are stored in the order min F_0, max F_0, min F_1, max F_1, .....

### See Also

PetscViewerDrawGetLG(), PetscViewerDrawGetAxis(), PetscViewerDrawOpen(), PetscViewerDrawSetBounds()

Level:intermediate
Location:src/sys/classes/viewer/impls/draw/drawv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages